Support

Transfer Domains

View as Markdown

Purchase and start or restart transfer process

POST
/v1/domains/{domain}/transfer

Path Parameters

domain*string

Domain to transfer in

Header Parameters

X-Shopper-Id?string

Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account.

Request Body

Details for domain transfer purchase

Response Body

curl -X POST "https://api.godaddy.com/v1/domains/string/transfer" \  -H "Content-Type: application/json" \  -d '{    "authCode": "string",    "consent": {      "agreedAt": "string",      "agreedBy": "string",      "agreementKeys": [        "string"      ]    }  }'
{
  "currency": "USD",
  "itemCount": 0,
  "orderId": 0,
  "total": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Agent & Automation Notes

Scopesdomains.domain:read, domains.domain:create, domains.domain:delete, domains.domain:update, domains.contact:update, domains.dns:update, domains.transfer:execute
Rate limit60 req/min per credential
On failureGET operations are safe to retry. PUT/PATCH DNS are idempotent by shape. POST purchase is NOT idempotent — verify state before retrying.

Last updated on

How is this guide?